> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Beast Modes

> Gets all Beast Mode objects in the instance.



## OpenAPI

````yaml /openapi/product/beastmodes.yaml post /api/query/v1/functions/search
openapi: 3.0.0
info:
  title: Beast Modes API
  description: Beast Modes are run time calculations on Cards or Datasets.
  version: 1.0.0
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: your-instance
        description: Your Domo instance name
security:
  - DeveloperToken: []
paths:
  /api/query/v1/functions/search:
    post:
      tags:
        - Beast Modes
      summary: Get All Beast Modes
      description: Gets all Beast Mode objects in the instance.
      operationId: get-all-beast-modes
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: To search for Beast Modes by name.
                filters:
                  type: array
                  description: Filter criteria for the request.
                  items:
                    type: object
                    properties:
                      field:
                        type: string
                sort:
                  type: object
                  description: >-
                    Object that takes the field to sort by and ascending as true
                    or false
                  properties:
                    field:
                      type: string
                    ascending:
                      type: boolean
                limit:
                  type: integer
                  description: >-
                    How many records to limit the request by. Must be between 1
                    and 5000.
                  minimum: 1
                  maximum: 5000
                offset:
                  type: integer
                  description: Which record to start the response with.
              required:
                - filters
                - sort
                - limit
            example:
              name: ''
              filters:
                - field: notvariable
              sort:
                field: name
                ascending: true
              limit: 3
              offset: 0
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  totalHits:
                    type: integer
                  results:
                    type: array
                    items:
                      type: object
                  hasMore:
                    type: boolean
                  degraded:
                    type: boolean
              example:
                totalHits: 525
                results:
                  - id: 427
                    name: '% Behind Schedule Objects'
                    owner: 8811501
                    lastModified: 1670963682352
                    created: 1670963682352
                    global: false
                    locked: false
                    legacyId: calculation_ab07cd22-2558-4f8f-b692-f39f6869a01a
                    status: VALID
                    links:
                      - resource:
                          type: CARD
                          id: dr:1947052903:616023142
                        visible: true
                        active: false
                        valid: VALID
                      - resource:
                          type: DATA_SOURCE
                          id: aa7d9422-9abe-4581-bbf3-4a8cb5d3fc25
                        visible: false
                        active: false
                        valid: ILLEGAL_REFERENCE
                    archived: false
                    activeLinks: {}
                hasMore: true
                degraded: false
      x-codeSamples:
        - lang: HTTP
          source: |
            POST https://{instance}.domo.com/api/query/v1/functions/search
            X-DOMO-Developer-Token: YOUR_TOKEN
            Content-Type: application/json

            {
              "name": "",
              "filters": [
                {
                  "field": "notvariable"
                }
              ],
              "sort": {
                "field": "name",
                "ascending": true
              },
              "limit": 3,
              "offset": 0
            }
components:
  securitySchemes:
    DeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication

````